> For the complete documentation index, see [llms.txt](https://docs.plumvoice.com/dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.plumvoice.com/dev/developer-reference/logging.md).

# Logging

{% hint style="warning" %}
**IMPORTANT: Logging is not available on demo accounts.**

Demo accounts provide only limited access to DEV's product features. You'll need a standard account for full access to logging and more.&#x20;

**Using a demo account?** [Contact us](https://www.plumvoice.com/contact-us/) if interested in upgrading to a standard account.
{% endhint %}

## Accessing Log Information in Plum DEV

Plum DEV provides a number of log options to assist with application debugging. Two primary types of log files exist that help with this process: DNIS Recent Calls and Session Logs.

The DNIS recent call logs capture only the events from the most recent call to a particular DNIS. The session logs record call statistics and can be used to generate utilization reports.

![](/files/-M8v1evTjk3QAhPzF-h3)

### Recent Calls&#x20;

Plum DEV keeps detailed call logs for the most recent five days (on a rolling basis). These logs include the event(s) that occurred within individual phone calls. To access these logs, go to the Call Logs menu and select Recent Calls.

![](/files/-M9KPT4ZZu-xiegPj4bf)

### Session Logs&#x20;

Session log data remains in Plum DEV for one (1) year, on a rolling basis. Session log data records statistics about calls handled by the IVR. Session log data does not contain information about what happened within a call, rather it contains information about how the call occurred. Session log data can be used to generate call usage reports.

Select Session Logs from the Call Logs menu. Choose the desired log type (aggregate or daily) and parameters, and then click the ‘View Log’ button. If your account uses multiple phone numbers, use the Phone Number drop-down menu to generate log data for an individual phone number.

![](/files/-M9KPYkrGwzG2fy05jSI)

## Interpreting Call Log Data

To understand call log data it is necessary to understand the data format and what each datum represents.

### Recent Call Logs

Entries in the DNIS recent call logs use the following format:

**Timestamp \[module] (sessionID) entry-type: message**

* Timestamp is formatted: Wed 28 Aug 2002 10:16:58 AM EDT
* Module can be one of: client, dxi, inet, jsi, log, prompt, rec, tel, vxi, dlg, sip
* SessionID is a unique ID assigned by the platform to each session: (serverid;channel;timestamp)
* Entry-type can be one of: EVENT, DEBUG, LOCAL, USAGE, or ERROR

### Session Logs

Entries in the session logs are one of three formats:

**calltype ANI channum \[timestamp] DNIS sessionID callStart callEnd callLength**

**local ANI channum \[timestamp] DNIS sessionID fetchurl: startURL**

**local ANI channum \[timestamp] DNIS sessionID logTagLabel: logTagExpr**

* Calltype can be inbound, outbound, or transfer. Local is used for the \<log> tag entries.
* ANI is the calling phone number.
* Channum is the hardware channel that the call came in on.
* Timestamp is formatted like this: “08/Apr/2003:10:37:50 -0400”
* DNIS is the called phone number.
* SessionID is a unique ID assigned by the platform to each session: (serverid;channel;timestamp)
* CallStart is the UNIX timestamp (seconds since 1/1/1970) for the start of the call.
* CallEnd is the UNIX timestamp (seconds since 1/1/1970) for the end of the call.
* CallLength is the length of the call in hours:minutes:seconds.
* StartURL is the URL of the start page for the call.
* LogTagLabel is the label name for any \<log> tag entries.
* LogTagMessage is the message contents of any \<log> tag entries.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.plumvoice.com/dev/developer-reference/logging.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
